@import "../base/mixins";

#component-popup-newsletter-root {

  // Container do texto
  .text-box {
    margin-top: auto;
    margin-bottom: auto;

    @include media("sm") {
      padding: 3rem 5.6rem;
    }
  }

  // Título
  .text-box > .title {
    font-weight: var(--font-weight-title);
    font-size: var(--font-size-big);
    color: var(--font-color-title);

    @include media("sm") {
      font-size: 2.4rem;
    }
  }

  // Descrição
  .text-box > .description {
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
  }

  // Formulário
  .text-box > form.cmp-newsletter-popup-2xAs6q-U517OsmRyLtvFtq {
    margin-top: 2.4rem;

    @include media("sm") {
      margin-top: 3.2rem;
    }

    // Fieldset
    fieldset.cmp-newsletter-popup-3HX15VdvKOso8FyXk1YH8F {
      margin-bottom: 1.6rem;
    }

    // Label do input
    label {
      font-size: var(--font-size-base);
      font-weight: var(--font-weight-base);
      color: var(--black);
      margin-bottom: 1.6rem;
    }

    // Wrapper do input e icone
    .field {
      border-color: var(--gray-2);
      height: 5rem;
      color: var(--gray-3);
      border-radius: 0.8rem;
      padding: 0.8rem 1.6rem;
    }

    // Ícone
    svg.cmp-newsletter-popup-37fEcLECTdeJnWHyjLg0ET {
      width: 2.6rem;
      height: 2.6rem;
    }

    // input
    input.cmp-newsletter-popup-2jqxtRR-PdOFNXZNbLC0rQ {
      font-size: var(--font-size-small);
      font-weight: var(--font-weight-base);
      color: var(--font-color-base);

      &::placeholder {
        color: var(--gray-3);
      }
    }

    // Botão Submit
    > .button-newsletter {
      width: 100%;
      height: 5rem;
      z-index: 1;
      background-color: transparent;
      border: 1px solid var(--primary-color);
      color: var(--primary-color);

      &:hover {
        color: var(--white);
        border-color: var(--primary-color);
        background-color: var(--primary-color);
      }

      &.cmp-newsletter-popup-7uhFyoUtLY5MRJevX7QUE {
        color: transparent;
        border-color: var(--primary-color);
        background-color: var(--primary-color);
      }
    }

    // mensagem de sucesso
    > .msg-received {
      font-size: var(--font-size-small);
      font-weight: var(--font-weight-base);
    }
  }
}
